Name:    kdnssd
Summary: KDE Network Monitor for DNS-SD services (Zeroconf)
Version: 4.11.3
Release: 1%{?dist}

# KDE e.V. may determine that future GPL versions are accepted
License: GPLv2 or GPLv3
URL:     https://projects.kde.org/projects/kde/kdenetwork/%{name}
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: desktop-file-utils
BuildRequires: kdelibs4-devel >= %{version}
BuildRequires: pkgconfig(avahi-compat-libdns_sd)

Requires: kdelibs4%{?_isa}%{?_kde4_version: >= %{_kde4_version}}

# when split occurred
Conflicts: kdenetwork-common < 7:4.10.80
Obsoletes: kdenetwork-kdnssd < 7:4.10.80
Provides:  kdenetwork-kdnssd = 7:%{version}-%{release}


%description
%{summary}.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%files
%doc COPYING
%{_kde4_datadir}/kde4/services/zeroconf.protocol
%{_kde4_datadir}/kde4/services/kded/dnssdwatcher.desktop
%{_datadir}/dbus-1/interfaces/org.kde.kdnssd.xml
%dir %{_kde4_appsdir}/remoteview/
%{_kde4_appsdir}/remoteview/zeroconf.desktop
%{_kde4_libdir}/kde4/kded_dnssdwatcher.so
%{_kde4_libdir}/kde4/kio_zeroconf.so


%changelog
* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Sun Aug 11 2013 Rex Dieter <rdieter@fedoraproject.org> 4.11.0-1
- 4.11.0

* Mon Aug 05 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.97-2
- fix Obsoletes/Provides to not self-obsolete

* Tue Jul 30 2013 Rex Dieter <rdieter@fedoraproject.org> 4.10.97-1
- 4.9.97

* Fri Jun 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.90-1
- 4.10.90
